Skip to main content
PUT
/
api
/
management
/
ai
/
agents
/
{agent}
Atualizar agente de IA
curl --request PUT \
  --url https://api.olie.ai/api/management/ai/agents/{agent} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "base_prompt": "sample_text",
  "default_model": "sample_text",
  "default_provider": "sample_text",
  "description": "sample_text",
  "name": "sample_text",
  "tools": []
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent
string
required

Body

application/json
base_prompt
string
Example:

"sample_text"

default_model
string
Example:

"sample_text"

default_provider
string
Example:

"sample_text"

description
string
Example:

"sample_text"

name
string
Example:

"sample_text"

tools
any[]
Example:
[]

Response

200

200